# 32/64bit spec-file
#
%define name geeqie
%define version 1.1
%define release %mkrel 2

Summary: 	Graphics file browser utility
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	GPL
Group: 		Graphics
URL: 		http://sourceforge.net/projects/geeqie/
BuildRoot:	%_tmppath/%{name}-%version-%release-root
Source: 	http://sourceforge.net/projects/geeqie/%{name}-%{version}.tar.xz
Source1:	geeqie.desktop
# Fedora Patches
Patch0: geeqie-1.1-LDFLAGS.patch
Patch1: geeqie-1.1-bar_keywords.c.diff
Patch2: geeqie-1.0-fix-fullscreen.patch
Patch3: geeqie-1.0-double_generic_dialog_close.patch
Patch4: geeqie-1.1-editors-NULL.patch
Patch5: geeqie-1.1-filedata-change-notification.patch
Patch6: geeqie-1.1-filedata-avoid-history-abort.patch
Patch7: geeqie-1.1-large-files.patch
BuildRequires:	gtk+2-devel gcc-c++ intltool doxygen perl-XML-Parser gnome-doc-utils
BuildRequires:	desktop-file-utils %{_lib}exiv2-devel %{_lib}lcms1-devel %{_lib}lirc-devel
Requires(post):	 desktop-file-utils
Requires(postun): desktop-file-utils
Requires: exiv2 
Requires: libjpeg-progs
Requires: ImageMagick 
Requires: ufraw
Obsoletes:	gqview

%description
This is Geeqie, a successor of GQview. Geeqie is a browser for graphics files.
Offering single click viewing of your graphics files. Includes thumbnail view, 
zoom and filtering features. And external editor support.


%prep
%setup -q

%patch0 -p1 -b .LDFLAGS
%patch1 -p1 -b .keywords
%patch2 -p1 -b .fix-fullscreen
%patch3 -p1 -b .fix-dialog-close
%patch4 -p1 -b .editors-NULL
%patch5 -p1 -b .filedata-notification
%patch6 -p1 -b .filedata-avoid-history-abort
%patch7 -p1 -b .large-files


%build



%configure2_5x --with-readmedir="%{_docdir}/%{name}" \
				--enable-gps \
				--enable-lirc


%make

%install
rm -rf %{buildroot}
%makeinstall_std gq_bindir=%{_libdir}/%{name}


# icons
mkdir -p %buildroot/{%_liconsdir,%_miconsdir,%_iconsdir} 
install -m 644 %name.png %buildroot/%_liconsdir/%name.png
convert -scale 48 %buildroot/%_liconsdir/%name.png %buildroot/%_liconsdir/%name.png
install -m 644 %name.png %buildroot/%_iconsdir/%name.png
convert -scale 32 %buildroot/%_iconsdir/%name.png %buildroot/%_iconsdir/%name.png
install -m 644 %name.png %buildroot/%_miconsdir/%name.png
convert -scale 16 %buildroot/%_miconsdir/%name.png %buildroot/%_miconsdir/%name.png

# Menu for all Desktops(tex)
install -m 0644 %SOURCE1 $RPM_BUILD_ROOT%{_datadir}/applications


%{find_lang} %{name}

%post
%update_menus
%update_desktop_database

%postun
%clean_menus
%clean_desktop_database

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README README.lirc
#%_docdir/%name-%version
%{_bindir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/%{name}.png
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/template.desktop
%dir %{_datadir}/%{name}/applications
%{_datadir}/%{name}/applications/*
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/*
%{_mandir}/man1/%{name}*
%{_miconsdir}/%name.png
%{_iconsdir}/%name.png
%{_liconsdir}/%name.png

%changelog
* Thu May 02 2013 Texstar <texstar at gmail.com> 1.1-2pclos2013
- apply fedora patches

* Thu Feb 14 2013 pinoc <vogtpet at gmail.com> 1.1-1pclos2013
- 1.1
- enable gps and lirc

* Thu Jun 10 2010 Texstar <texstar at gmail.com> 1.0-1pclos2010
- 1.0

* Wed Sep 09 2009 slick50 <lxgator@gmail.com> 1.0beta2-1pclos2009
- initial pkg


